# PowLimiter - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.bot.settings.limiters / PowLimiter

# PowLimiter

(common) `data class PowLimiter : RequestLimiter` (source)

### Constructors

(common)

#### <init>

`PowLimiter(minAwaitTime: Long = 0L, maxAwaitTime: Long = 10000L, powValue: Double = 4.0, powK: Double = 0.0016)`

### Functions

(common)

#### limit

Use limit for working of block (like delay between or after, for example)

`suspend fun <T> limit(block: suspend () -> T): T`